Bug 97310 - AutoCorrect Doesn't Work with Zero-width Space
Summary: AutoCorrect Doesn't Work with Zero-width Space
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2016-01-22 06:12 UTC by Nathan Wells
Modified: 2019-01-31 17:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Wells 2016-01-22 06:12:28 UTC
In languages such as Khmer (and Thai I believe), a zero-width space (U+200B) is used between words rather than a real space.
As such, the current code for AutoCorrect does not work with the Khmer language.

How to duplicate:
Add a replacement for the Khmer language (Tools -> AutoCorrect Options... - Replace tab: អោយ = ឲ្យ

Then type អោយ​ខ្ញុំ។ (with the zero-width space between អោយ​|ខ្ញុំ

Nothing happens.

Then type អោយ (and a real space after).

It auto-corrects to ឲ្យ

Desired result:
Type អោយ (with a zero-width space after).
It should auto-correct to ឲ្យ
Comment 1 Luke Picciau 2016-01-24 12:46:16 UTC
I was not able to reproduce the exact situation because I can't type those characters but I can confirm that auto replace does not work if you use a zero-width space after words.


OS: Ubuntu 15.10
LO Version: 5.0.4.2
Build ID: 1:5.0.4~rc2-0ubuntu1~wily1
Locale: en-AU (en_AU.UTF-8)
Comment 2 keosophy21 2016-02-01 13:35:34 UTC
I faced this issue while typing khmer unicode
Comment 3 QA Administrators 2017-03-06 15:16:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306